GNU Radio 2.x: g72x.h File Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# g72x.h File Reference

Go to the source code of this file.

## Compounds
struct | g72x_state
## Defines
#define | AUDIO_ENCODING_ULAW (1)
#define | AUDIO_ENCODING_ALAW (2)
#define | AUDIO_ENCODING_LINEAR (3)
## Functions
void | g72x_init_state (struct g72x_state *)
int | g721_encoder (int sample, int in_coding, struct g72x_state *state_ptr)
int | g721_decoder (int code, int out_coding, struct g72x_state *state_ptr)
int | g723_24_encoder (int sample, int in_coding, struct g72x_state *state_ptr)
int | g723_24_decoder (int code, int out_coding, struct g72x_state *state_ptr)
int | g723_40_encoder (int sample, int in_coding, struct g72x_state *state_ptr)
int | g723_40_decoder (int code, int out_coding, struct g72x_state *state_ptr)
int | quantize (int d, int y, short *table, int size)
int | reconstruct (int, int, int)
void | update (int code_size, int y, int wi, int fi, int dq, int sr, int dqsez, struct g72x_state *state_ptr)
int | tandem_adjust_alaw (int sr, int se, int y, int i, int sign, short *qtab)
int | tandem_adjust_ulaw (int sr, int se, int y, int i, int sign, short *qtab)
unsigned char | linear2alaw (int pcm_val)
int | alaw2linear (unsigned char a_val)
unsigned char | linear2ulaw (int pcm_val)
int | ulaw2linear (unsigned char u_val)
int | predictor_zero (struct g72x_state *state_ptr)
int | predictor_pole (struct g72x_state *state_ptr)
int | step_size (struct g72x_state *state_ptr)

## Define Documentation

#define AUDIO_ENCODING_ALAW (2)

#define AUDIO_ENCODING_LINEAR (3)

#define AUDIO_ENCODING_ULAW (1)

## Function Documentation

int alaw2linear | ( | unsigned char | a_val | ) |

int g721_decoder | ( | int | code,
|  | int | out_coding,
|  | struct g72x_state * | state_ptr
| ) |

int g721_encoder | ( | int | sample,
|  | int | in_coding,
|  | struct g72x_state * | state_ptr
| ) |

int g723_24_decoder | ( | int | code,
|  | int | out_coding,
|  | struct g72x_state * | state_ptr
| ) |

int g723_24_encoder | ( | int | sample,
|  | int | in_coding,
|  | struct g72x_state * | state_ptr
| ) |

int g723_40_decoder | ( | int | code,
|  | int | out_coding,
|  | struct g72x_state * | state_ptr
| ) |

int g723_40_encoder | ( | int | sample,
|  | int | in_coding,
|  | struct g72x_state * | state_ptr
| ) |

void g72x_init_state | ( | struct g72x_state * |  | ) |

unsigned char linear2alaw | ( | int | pcm_val | ) |

unsigned char linear2ulaw | ( | int | pcm_val | ) |

int predictor_pole | ( | struct g72x_state * | state_ptr | ) |

int predictor_zero | ( | struct g72x_state * | state_ptr | ) |

int quantize | ( | int | d,
|  | int | y,
|  | short * | table,
|  | int | size
| ) |

int reconstruct | ( | int | ,
|  | int | ,
|  | int |
| ) |

int step_size | ( | struct g72x_state * | state_ptr | ) |

int tandem_adjust_alaw | ( | int | sr,
|  | int | se,
|  | int | y,
|  | int | i,
|  | int | sign,
|  | short * | qtab
| ) |

int tandem_adjust_ulaw | ( | int | sr,
|  | int | se,
|  | int | y,
|  | int | i,
|  | int | sign,
|  | short * | qtab
| ) |

int ulaw2linear | ( | unsigned char | u_val | ) |

void update | ( | int | code_size,
|  | int | y,
|  | int | wi,
|  | int | fi,
|  | int | dq,
|  | int | sr,
|  | int | dqsez,
|  | struct g72x_state * | state_ptr
| ) |